rem -----------------------------------------------------------------------
rem Licensed Materials - Property of IBM
rem
rem Governed under the terms of the International
rem License Agreement for Non-Warranted Sample Code.
rem
rem  (C) COPYRIGHT International Business Machines Corp. 1997 - 2003
rem  All Rights Reserved.
rem
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem -----------------------------------------------------------------------
rem NAME: asnlqsetup.bat (a DB2 clp command script)
rem
rem FUNCTION: 
rem   Commands to set up the list/validate queues stored proc.
rem
rem Prerequisites: 
rem  A.Before running this script, you must set up either:
rem     1. Unzip all sample files to c:\listqueues. For example:
rem          a. mkdir c:\listqueues
rem          b. ftp sample zip to this directory
rem          c. unzip the files to this directory
rem     2. Or, edit this bat file to change all references from
rem          c:\listqueues to your directory name.
rem  B.The Replication Center and DAS server must be shut down.
rem  c.Edit the 'define & bind' section to create the stored proc in, and
rem    bind it to, for each of your databases.
rem -----------------------------------------------------------------------

set SOURCEDIR="."
set TARGETDIR="C:\SQLLIB"
set TARGETDIR2="C:\Program Files\IBM\SQLLIB"
set DBNAME=sample

cd %SOURCEDIR%

db2stop force

rem -----------------------------------------------------------------------
rem These comands are in the same order as the instructions on the
rem download web page for the stored poc.
rem -----------------------------------------------------------------------
copy sqllib\bnd\asnadmsp.bnd %TARGETDIR%\bnd
copy sqllib\function\asnadmsp.dll %TARGETDIR%\function
copy sqllib\lib\libasnmodos.dll %TARGETDIR%\lib
copy sqllib\lib\libasnmodmq.dll %TARGETDIR%\lib

db2start

rem -----------------------------------------------------------------------
rem Define & Bind section:
rem   You need one connect, one run of spdef.sql, and one bind for
rem   each of your databases. 
rem -----------------------------------------------------------------------
db2 connect to %DBNAME%
db2 -tvf spdef.sql
db2 bind sqllib\bnd\asnadmsp.bnd
db2 connect reset

rem -----------------------------------------------------------------------
rem Notes:
rem   1. Your old db2qreplapis.jar must be removed from sqllib
rem      (but keep a backup outside sqllib\tools ).
rem   2. DAS server needs to be down for this rename to work.
rem -----------------------------------------------------------------------

rename %TARGETDIR%\tools\db2qreplapis.jar db2qreplapis.jar.bak
move %TARGETDIR%\db2qreplapis.jar.bak %SOURCEDIR%
copy db2qreplapis.jar %TARGETDIR%\tools
